Crash in CD3DBase::FlushStatesNoThrow

NEW
Unassigned

Status

()

Core
Graphics: Layers
P3
critical
a year ago
3 months ago

People

(Reporter: jimm, Unassigned)

Tracking

({crash})

48 Branch
x86
Windows XP
crash
Points:
---

Firefox Tracking Flags

(firefox-esr45 affected, firefox50 affected, firefox51 affected, firefox52 wontfix)

Details

(Whiteboard: [gfx-noted], crash signature)

(Reporter)

Description

a year ago
report bp-91739aa6-b8da-4202-96c8-d199c2161024

#2 top crasher for XP users with e10s enabled. (up to beta)
Unless we have someone who can reproduce this I sadly don't see anything actionable in this... I don't see any obvious correlations by hand but it might be worth analyzing the set and seeing if any set of devices is disproportionately affected.
Whiteboard: [gfx-noted]
Crash volume for signature 'CD3DBase::FlushStatesNoThrow':
 - nightly (version 53): 0 crashes from 2016-11-14.
 - aurora  (version 52): 3 crashes from 2016-11-14.
 - beta    (version 51): 363 crashes from 2016-11-14.
 - release (version 50): 919 crashes from 2016-11-01.
 - esr     (version 45): 211 crashes from 2016-07-06.

Crash volume on the last weeks (Week N is from 01-02 to 01-08):
            W. N-1  W. N-2  W. N-3  W. N-4  W. N-5  W. N-6  W. N-7
 - nightly       0       0       0       0       0       0       0
 - aurora        2       0       0       1       0       0       0
 - beta         55      56      62      58      46      52      22
 - release     151     160     133     149     124     112      41
 - esr          12      12      11      12       2       6      12

Affected platform: Windows

Crash rank on the last 7 days:
           Browser   Content   Plugin
 - nightly
 - aurora  #1268
 - beta    #223
 - release #388      #5643     #1004
 - esr     #884
status-firefox50: --- → affected
status-firefox51: --- → affected
status-firefox52: --- → affected
status-firefox-esr45: --- → affected
Too late for firefox 52, mass-wontfix.
status-firefox52: affected → wontfix
Priority: -- → P3

Comment 4

3 months ago
Recently Firefox seems cannot send crash reports. I checked them in about:support -- all crash reports and clicked in, and all crashes are related to this bug. Since it has already reported I think I don't need try sending them again. Only my submit.log:

[09/09/16 09:41:43] Crash report submitted successfully
[09/18/16 16:45:24] Crash report submitted successfully
[Tue Apr 25 09:08:03 2017] Crash report submission failed: An error occurred in the secure channel support
[Tue Apr 25 21:42:47 2017] Crash report submission failed: An error occurred in the secure channel support
[Sun Apr 30 09:46:31 2017] Crash report submission failed: The server name or address could not be resolved
[Wed May 10 15:34:26 2017] Crash report submission failed: An error occurred in the secure channel support
[Fri May 19 09:21:38 2017] Crash report submission failed: The server name or address could not be resolved
[Fri Jun 16 09:26:35 2017] Crash report submission failed: An error occurred in the secure channel support
[Fri Jul  7 18:39:41 2017] Crash report submission failed: An error occurred in the secure channel support
[Thu Jul 27 14:33:11 2017] Crash report submission failed: The server name or address could not be resolved
[Tue Sep  5 16:38:15 2017] Crash report submission failed: An error occurred in the secure channel support
[Thu Sep 21 10:05:55 2017] Crash report submission failed: An error occurred in the secure channel support

The frequency is from 2 to 3 times a month.

Why Fx failed to send crash reports since Apr is still a problem.
You need to log in before you can comment on or make changes to this bug.